# API Schema

## Specification overview

The Authgear Admin API follows **GraphQL Cursor Connections Specification** to handle pagination of results.

Read more about the Connection model to understand the types like "**Edge**", "**Node**", and "**Cursor**" in [GraphQL Cursor Connections Specification](https://relay.dev/graphql/connections.htm).

## Allowed Operations

**Queries** and **mutations** are allowed in the Admin API

## Schema

Download the latest schema here:

:book:[ adminapi/schema.graphql](https://github.com/authgear/authgear-server/blob/main/portal/src/graphql/adminapi/schema.graphql)

You can interactively access the same schema via the [Explorer Doc sidebar](/reference/apis/admin-api.md#api-explorer)


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.authgear.com/reference/apis/admin-api/api-schema.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
